Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: martin rudalics <[email-masked]>
Date: Mon, 22 Apr 2013 11:34:25 +0200

>> How would he do that in the first place if the frame doesn't get resized
 >> pixelwise?
 >
 > As I explained earlier, when the window managers maximizes,
 > fullscreen:s or tiles Emacs frames, the size hint is ignored, so the
 > frame is sized pixelwise, in the sense that the frame size is not an
 > integer multiple of the character size.  But the fraction that isn't a
 > full character size gets wasted, because windows (in Emacs terms) can
 > not resie pixelwise.

Maybe we have different conceptions of Stefan's use case then.  He said
"I'd appreciate pixel-precise sizing of my frames" but maybe this just
refers to the fact that these pixels stay at the bottom of the correctly
sized frame.

martin